%define upstream_name    MooseX-Types-Email
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Email address validation type constraint for Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Abstract)
BuildRequires: perl(Email::Valid)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Moose type constraints which uses the Email::Valid manpage and the
Email::Valid manpage to check for valid email addresses and messages.

Note that 'EmailMessage' must be an object that can be passed to the
Email::Valid manpage. Currently, constraining strings is not supported due
to the leniency of Email::Abstract.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.8.0-2.mga8
+ Revision: 1520239
- Mageia 8 Mass Rebuild

* Tue Nov 13 2018 tv <tv> 0.8.0-1.mga7
+ Revision: 1329718
- update to 0.008

* Wed Sep 19 2018 umeabot <umeabot> 0.7.0-4.mga7
+ Revision: 1269644
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-3.mga6
+ Revision: 1030700
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.7.0-2.mga6
+ Revision: 969382
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.7.0-1.mga6
+ Revision: 868597
- update to 0.007

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-3.mga5
+ Revision: 742636
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.6.0-1.mga5
+ Revision: 585179
- update to 0.006

* Sat Oct 19 2013 umeabot <umeabot> 0.5.0-2.mga4
+ Revision: 527454
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.5.0-1.mga4
+ Revision: 440233
- adding missing buildrequires:
- update to 0.005

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 370337
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.4.0-1.mga2
+ Revision: 107182
- update to 0.004

* Tue Mar 15 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 71850
- imported package perl-MooseX-Types-Email


* Tue Mar 15 2011 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
